FORT Robotics logoFORT Robotics logoFORT Manager API
  • Getting Started
  • Examples
  • Concepts
  • CLI V2
  • API v1 Reference
ApiKeys
    Retrieves keys for an organization.getUpdate the role of the service account associated with a given key nameputValidates an API key for the specified organization.post
Configurations
    Search an organization's configurationsgetCreate a device configurationpostGet a configuration by idgetDelete a configurationdeleteUpdate a configurationpatchGet the current status of a configuration, whether it's complete or has any validation errors.getAdd a device to a configurationpostDelete a device from a configurationdeleteUpdate a device on a configurationpatch
Devices
    Search devicesgetRegister a devicepostUpdate a devicepatchGet the latest firmware by device serial numbergetGets the latest firmware by a specific device type.getGet a device's configurationget
IpNetworkTemplates
    Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list.getCreates a new IP network template for a given comm interface in the current organization.postGet an IP network template by IDget
Users
    Get all usersgetRegister a userpostGet a user by idgetDelete a userdeleteUpdate role for a userpatch
Versions
    Retrieves the current version of the API.get
Schemas
powered by Zudoku
Pro Series API

ApiKeys

Endpoint:https://platform.fortrobotics.com

API Key management.


Retrieves keys for an organization.

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/apiKeys

Supports filtering by name and pagination.

Retrieves keys for an organization. › path Parameters

  • orgIdstring · required

    The id of the organization.

Retrieves keys for an organization. › query Parameters

  • Limitinteger · int32

    The number of records to return. Max 30.

  • Offsetinteger · int32

    The offset of the first item returned in the collection. Default: 0

  • IncludeApiKeysboolean

    Include the API key data in the response.

  • KeyFormatstring · enum

    The format of the key to return. none: Key is completely hidden. visible: Key is completely visible. masked: Part of key suffix is visible.

    Enum values:
    None
    Visible
    Masked

Retrieves keys for an organization. › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Retrieves keys for an organization. › Responses

Success

  • dataarray | null
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/apiKeys

Update the role of the service account associated with a given key name

PUT
https://platform.fortrobotics.com
/v1/organizations/{orgId}/apiKeys/{keyName}/role

Update the role of the service account associated with a given key name › path Parameters

  • keyNamestring · required

    The API Key name

  • orgIdstring · required

    The id of the organization.

Update the role of the service account associated with a given key name › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Update the role of the service account associated with a given key name › Request Body

string · enum
Enum values:
DeviceManager
ConfigManager
Operator
Service
KeyManager
Admin

Update the role of the service account associated with a given key name › Responses

Success

  • databoolean
  • successboolean
  • errorsarray | null
PUT /v1/organizations/{orgId}/apiKeys/{keyName}/role

Validates an API key for the specified organization.

POST
https://platform.fortrobotics.com
/v1/organizations/{orgId}/apiKeys/validate

Validates an API key for the specified organization. › path Parameters

  • orgIdstring · required

    The id of the organization.

Validates an API key for the specified organization. › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Validates an API key for the specified organization. › Request Body

  • apiKeystring | null

Validates an API key for the specified organization. › Responses

Success

  • dataobject

    Response model for API key validation.

  • successboolean
  • errorsarray | null
POST /v1/organizations/{orgId}/apiKeys/validate

Configurations